﻿@using Portal.Models;
@using System.Web.Mvc;
@using System.Web.UI.WebControls;
@using System.Data;
@using Portal.Controllers;
              
@model Toyota.Common.Web.MVC.ModelHolder




<table>
    <tr>
        <td >
            @Html.DevExpress().Label(
                edtSettings =>
                {
                    edtSettings.ControlStyle.CssClass = "label";
                    edtSettings.Text = "Reject Confirmation";
                }).GetHtml()                         
        </td>
    </tr>
</table>
<table border="0" style="margin : 1px 1px 15px 1px;" width="100%" height="100%">
     <tr>
         <td colspan="2" align="center">
            @Html.DevExpress().Label(
                edtSettings =>
                {
                    edtSettings.ControlStyle.CssClass = "label";
                    edtSettings.Text = "Reject Reason";
                }).GetHtml()
         </td>
     </tr>   
     <tr>
         <td colspan=2>
            @Html.DevExpress().Memo(
            edtSettings =>
            {
                edtSettings.Name = "RejectTxt";
                edtSettings.Properties.EnableClientSideAPI = true;
                edtSettings.ClientEnabled = true;
                edtSettings.Width = System.Web.UI.WebControls.Unit.Percentage(99);
                edtSettings.Height = System.Web.UI.WebControls.Unit.Percentage(60);
                edtSettings.Enabled = true;
                edtSettings.Properties.EnableClientSideAPI = true;
                edtSettings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                edtSettings.ControlStyle.VerticalAlign = VerticalAlign.Top;
                edtSettings.ToolTip = "Input the Reason";
                edtSettings.Height = 130;                                
            }).GetHtml()
         </td>
     </tr>   
     <tr>
        <td colspan="2" align="right">
            <table>
                <tr>
                    <td>
                        @Html.DevExpress().Button(
                            edtSettings =>
                            {
                                edtSettings.Text = "Reject";
                                edtSettings.Name = "RejectButton";
                              // edtSettings.ClientSideEvents.Click = "function(s, e){ CounterReceivingpopup.Hide(); }";
                                edtSettings.ClientSideEvents.Click = "CheckReason";
                                edtSettings.EnableClientSideAPI = true;
                                edtSettings.Width = System.Web.UI.WebControls.Unit.Percentage(25);
                                
                            }).GetHtml()
                    </td>
                    <td align = right>
                            @Html.DevExpress().Button(
                            edtSettings =>
                            {
                                edtSettings.Text = "Cancel";
                                edtSettings.Name = "Cancel";
                                edtSettings.ClientSideEvents.Click = "function(s, e){ CounterReceivingpopup.Hide(); }";
                                edtSettings.Width = System.Web.UI.WebControls.Unit.Percentage(25);
                            }).GetHtml()
                
                    </td>
                </tr>
            </table>
        </td>
     </tr>
    
</table>